GNUNET-FUSE(1)

NAME
gnunet-fuse - mount directories shared on gnunet

SYNOPSIS
gnunet-fuse [-c FILENAME | --config=FILENAME] [-d PATH | --directory=PATH] [-h | --help] [-L LOGLEVEL | --loglevel=LOGLEVEL] [-s URI | --source=URI] [-t | --single-threaded] [-v | --version]

DESCRIPTION
gnunet-fuse is a tool to mount directories that have been published via GNUnet's file-sharing applications. With gnunet-fuse, directories that have been published on GNUnet can be mounted as read-only file systems and the accessed using normal file operations. In contrast to downloading the directory recursively via gnunet-download, this has the advantage that files are downloaded on-demand. Only those files (or directories) that you access will be downloaded. Furthermore, in the case of larger files, only those blocks that an application actually reads will be downloaded. Naturally, operations on the file system will block until the download has succeeded, which can theoretically mean that they never terminate and must be aborted.

gnunet-fuse will store all downloaded files in a temporary directory on disk. This cache will be purged when gnunet-fuse exits normally (which happens when the file-system is unmounted). As mounting a file system is a priviledged operation, gnunet-fuse must be run by root. If root is not in the 'gnunet' group, access to the shared directory will likely fail as the gnunet-service-fs will likely refuse access to root. This can be solved either by adding root to the 'gnunet' group, or by disabling the access control options for gnunet-service-fs.

gnunet-fuse currently only supports read-only operations on the file system. All files will be owned by root and will be world-readable.

-c FILENAME | --config=FILENAME
    Configuration file to use.

-d PATH | --directory=PATH
    PATH specifies the mountpoint that gnunet-fuse should use as the destination for mounting the file system.

-h | --help
    Print the help page

-L LOGLEVEL | --loglevel=LOGLEVEL
    Change the loglevel. Possible values for LOGLEVEL are ERROR, WARNING, INFO and DEBUG.

-s URI | --source=URI
    URI is the file-sharing URI of the directory that is to be mounted. It must be either of type CHK or of type LOC.

-t | --single-threaded
    In this mode, gnunet-fuse will run in "debug" mode and disable FUSE concurrency (and add some additional logging). Normally, gnunet-fuse will download multiple files in parallel if multiple IO requests are queued with the file system at the same time. In debug mode, all requests are processed sequentially. Note that gnunet-fuse will still fork a helper process to perform the actual interaction with the GNUnet file-sharing service.

-v | --version
    Print the version number.

SEE ALSO
gnunet-publish(1), gnunet-fs-gtk(1)

BUGS
Report bugs by using https://bugs.gnunet.org or by sending electronic mail to <gnunet-developers@gnu.org>.